diff --git a/books/bookvol9.pamphlet b/books/bookvol9.pamphlet
index 90c8339..f882776 100644
--- a/books/bookvol9.pamphlet
+++ b/books/bookvol9.pamphlet
@@ -3618,14 +3618,13 @@ An angry JHD - August 15th., 1984
 
 \defun{compImport}{compImport}
 \calls{compImport}{addDomain}
+\usesdollar{compImport}{NoValueMode}
 <<defun compImport>>=
 (defun |compImport| (arg m e)
  (declare (ignore m))
- (let (doms)
   (declare (special |$NoValueMode|))
-   (setq doms (first arg))
-   (dolist (dom doms) (setq e (|addDomain| |dom| e)))
-   (list '|/throwAway| |$NoValueMode| e)))
+   (dolist (dom (cdr arg)) (setq e (|addDomain| dom e)))
+   (list '|/throwAway| |$NoValueMode| e))
 
 @
 
diff --git a/changelog b/changelog
index 3f6669f..c6c21f4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20101125 tpd src/axiom-website/patches.html 20101125.02.tpd.patch
+20101125 tpd books/bookvol9 treeshake compiler
 20101125 tpd src/axiom-website/patches.html 20101125.01.tpd.patch
 20101125 tpd src/interp/postprop.lisp treeshake compiler
 20101125 tpd src/interp/modemap.lisp treeshake compiler
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 22efccc..04cd661 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3272,5 +3272,7 @@ books/bookvol9 fix |special| bug<br/>
 books/bookvol9 treeshake compiler<br/>
 <a href="patches/20101125.01.tpd.patch">20101125.01.tpd.patch</a>
 books/bookvol9 treeshake compiler<br/>
+<a href="patches/20101125.02.tpd.patch">20101125.02.tpd.patch</a>
+books/bookvol9 treeshake compiler<br/>
  </body>
 </html>
